Bug 248374 - Krita crashed when using the gradient tool
Summary: Krita crashed when using the gradient tool
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords: release_blocker
Depends on:
Blocks:
 
Reported: 2010-08-19 14:30 UTC by Halla Rempt
Modified: 2010-09-16 15:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2010-08-19 14:30:30 UTC
Application: krita (2.3 Alpha 1)
KDE Platform Version: 4.5.00 (KDE 4.5.0)
Qt Version: 4.7.0
Operating System: Linux 2.6.34-12-default i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
I used the gradient tool (while the canvas was rotated) and after some gradients, managed to hit the following assert:

ASSERT: "!namedTransactionInProgress()" in file /home/boud/kde/src/koffice/krita/image/tiles3/kis_memento_manager.cc, line 233

-- Backtrace:
Application: Krita (krita), signal: Aborted
[Current thread is 1 (Thread 0xb38cb930 (LWP 15537))]

Thread 5 (Thread 0xae88eb70 (LWP 15543)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb7510125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb7586980 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb7582e92 in QSemaphore::acquire(int) () from /usr/lib/libQtCore.so.4
#4  0xb70bd9fb in KisTileDataPooler::waitForWork (this=0xa01e448) at /home/boud/kde/src/koffice/krita/image/tiles3/kis_tile_data_pooler.cc:127
#5  0xb70bdcbb in KisTileDataPooler::run (this=0xa01e448) at /home/boud/kde/src/koffice/krita/image/tiles3/kis_tile_data_pooler.cc:156
#6  0xb758627a in QThreadPrivate::start(void*) () from /usr/lib/libQtCore.so.4
#7  0xb750bb25 in start_thread () from /lib/libpthread.so.0
#8  0xb4acb46e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xad545b70 (LWP 15544)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb7510125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb7586980 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb7583106 in QSemaphore::tryAcquire(int, int) () from /usr/lib/libQtCore.so.4
#4  0xb70d7730 in KisTileDataSwapper::waitForWork (this=0xa01e464) at /home/boud/kde/src/koffice/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:84
#5  0xb70d78b0 in KisTileDataSwapper::run (this=0xa01e464) at /home/boud/kde/src/koffice/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:90
#6  0xb758627a in QThreadPrivate::start(void*) () from /usr/lib/libQtCore.so.4
#7  0xb750bb25 in start_thread () from /lib/libpthread.so.0
#8  0xb4acb46e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xacd44b70 (LWP 15553)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb7510452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb758690c in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb757bcd4 in QThreadPoolThread::run() () from /usr/lib/libQtCore.so.4
#4  0xb758627a in QThreadPrivate::start(void*) () from /usr/lib/libQtCore.so.4
#5  0xb750bb25 in start_thread () from /lib/libpthread.so.0
#6  0xb4acb46e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xaa5afb70 (LWP 15554)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb7510452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb758690c in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb757bcd4 in QThreadPoolThread::run() () from /usr/lib/libQtCore.so.4
#4  0xb758627a in QThreadPrivate::start(void*) () from /usr/lib/libQtCore.so.4
#5  0xb750bb25 in start_thread () from /lib/libpthread.so.0
#6  0xb4acb46e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb38cb930 (LWP 15537)):
[KCrash Handler]
#7  0xffffe430 in __kernel_vsyscall ()
#8  0xb4a237ff in raise () from /lib/libc.so.6
#9  0xb4a25140 in abort () from /lib/libc.so.6
#10 0xb757d8fa in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#11 0xb757daff in qt_message(QtMsgType, char const*, char*) () from /usr/lib/libQtCore.so.4
#12 0xb757dc18 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#13 0xb757dc95 in qt_assert(char const*, char const*, int) () from /usr/lib/libQtCore.so.4
#14 0xb70c65cd in KisMementoManager::getMemento (this=0xa03b7c0) at /home/boud/kde/src/koffice/krita/image/tiles3/kis_memento_manager.cc:233
#15 0xb717bcb7 in KisTiledDataManager::getMemento() () from /home/boud/kde/inst/lib/libkritaimage.so.7
#16 0xb717be59 in KisDataManager::getMemento() () from /home/boud/kde/inst/lib/libkritaimage.so.7
#17 0xb717bb7a in KisTransactionData::KisTransactionData (this=0x10959970, name=..., device=..., parent=0x0) at /home/boud/kde/src/koffice/krita/image/kis_transaction_data.cpp:53
#18 0xb70e5d5f in KisTransaction::KisTransaction (this=0xc8abfe8, name=..., device=..., parent=0x0) at /home/boud/kde/src/koffice/krita/image/kis_transaction.h:38
#19 0xb70e20e0 in KisPainter::beginTransaction (this=0xbffa1fcc, transactionName=...) at /home/boud/kde/src/koffice/krita/image/kis_painter.cc:202
#20 0xae0017ac in KisToolGradient::mouseReleaseEvent (this=0xc440a18, e=0xbffa2074) at /home/boud/kde/src/koffice/krita/plugins/tools/defaulttools/kis_tool_gradient.cc:278
#21 0xb6749862 in KoToolProxy::tabletEvent (this=0xb72d9f0, event=0xbffa2794, point=...) at /home/boud/kde/src/koffice/libs/flake/KoToolProxy.cpp:142
#22 0xb72ea58e in KisCanvasWidgetBase::processTabletEvent (this=0xd68316c, e=0xbffa2794) at /home/boud/kde/src/koffice/krita/ui/canvas/kis_canvas_widget_base.cpp:298
#23 0xb73f20e7 in KisOpenGLCanvas2::tabletEvent (this=0xd683158, e=0xbffa2794) at /home/boud/kde/src/koffice/krita/ui/opengl/kis_opengl_canvas2.cpp:460
#24 0xb519f214 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#25 0xb6924cd2 in QGLWidget::event(QEvent*) () from /usr/lib/libQtOpenGL.so.4
#26 0xb51433d4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#27 0xb514c29c in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#28 0xb5bcb2c1 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#29 0xb768517e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#30 0xb51beb4e in QETWidget::translateXinputEvent(_XEvent const*, QTabletDeviceData*) () from /usr/lib/libQtGui.so.4
#31 0xb51cd42e in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#32 0xb51f91db in QEventDispatcherX11::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtGui.so.4
#33 0xb76892a3 in QCoreApplication::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#34 0xb6d22a92 in KoProgressUpdater::update (this=0xde99e30) at /home/boud/kde/src/koffice/libs/main/KoProgressUpdater.cpp:144
#35 0xb6d23193 in KoProgressUpdater::qt_metacall (this=0xde99e30, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbffa2e6c)
    at /home/boud/kde/build/koffice/libs/main/KoProgressUpdater.moc:73
#36 0xb768b9bd in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#37 0xb769bb6c in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#38 0xb6d24db7 in KoUpdaterPrivate::sigUpdated (this=0xcebf3f0) at /home/boud/kde/build/koffice/libs/main/KoUpdaterPrivate_p.moc:95
#39 0xb6d24eff in KoUpdaterPrivate::qt_metacall (this=0xcebf3f0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbffa2fb8)
    at /home/boud/kde/build/koffice/libs/main/KoUpdaterPrivate_p.moc:84
#40 0xb768b9bd in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#41 0xb769bb6c in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#42 0xb6d24453 in KoUpdater::sigProgress (this=0xddcc098, _t1=10) at /home/boud/kde/build/koffice/libs/main/KoUpdater.moc:99
#43 0xb6d24799 in KoUpdater::setProgress (this=0xddcc098, percent=10) at /home/boud/kde/src/koffice/libs/main/KoUpdater.cpp:59
#44 0xb7120d75 in KisGradientPainter::paintGradient (this=0xbffa31fc, gradientVectorStart=..., gradientVectorEnd=..., shape=KisGradientPainter::GradientShapeLinear, repeat=
    KisGradientPainter::GradientRepeatNone, antiAliasThreshold=0.20000000000000001, reverseGradient=false, startx=0, starty=0, width=1600, height=1200)
    at /home/boud/kde/src/koffice/krita/image/kis_gradient_painter.cc:605
#45 0xae001a19 in KisToolGradient::mouseReleaseEvent (this=0xc440a18, e=0xbffa32a4) at /home/boud/kde/src/koffice/krita/plugins/tools/defaulttools/kis_tool_gradient.cc:291
#46 0xb6749862 in KoToolProxy::tabletEvent (this=0xb72d9f0, event=0xbffa39c4, point=...) at /home/boud/kde/src/koffice/libs/flake/KoToolProxy.cpp:142
#47 0xb72ea58e in KisCanvasWidgetBase::processTabletEvent (this=0xd68316c, e=0xbffa39c4) at /home/boud/kde/src/koffice/krita/ui/canvas/kis_canvas_widget_base.cpp:298
#48 0xb73f20e7 in KisOpenGLCanvas2::tabletEvent (this=0xd683158, e=0xbffa39c4) at /home/boud/kde/src/koffice/krita/ui/opengl/kis_opengl_canvas2.cpp:460
#49 0xb519f214 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#50 0xb6924cd2 in QGLWidget::event(QEvent*) () from /usr/lib/libQtOpenGL.so.4
#51 0xb51433d4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#52 0xb514c29c in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#53 0xb5bcb2c1 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#54 0xb768517e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#55 0xb51beb4e in QETWidget::translateXinputEvent(_XEvent const*, QTabletDeviceData*) () from /usr/lib/libQtGui.so.4
#56 0xb51cd42e in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#57 0xb51f91db in QEventDispatcherX11::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtGui.so.4
#58 0xb768445d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#59 0xb7684689 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#60 0xb76890e0 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#61 0xb5141104 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#62 0xb77e4d41 in kdemain (argc=1, argv=0xbffa4184) at /home/boud/kde/src/koffice/krita/main.cc:49
#63 0x0804888b in main (argc=1, argv=0xbffa4184) at /home/boud/kde/build/koffice/krita/krita_dummy.cpp:3

Reported using DrKonqi
Comment 1 Halla Rempt 2010-08-30 16:57:41 UTC
This seems to happen when trying to draw a gradient while the previous one is still being drawn.
Comment 2 pentalis 2010-09-06 11:57:45 UTC
This happened to me when trying to use the fill tool on a transparent layer using a plain color. I hit the assert when I pressed fill for a second time, before the first fill finished.

Using Krita trunk, updated 2 days ago.

Assert:
ASSERT: "!namedTransactionInProgress()" in file /home/pentalis/kde4/src/koffice/krita/image/tiles3/kis_memento_manager.cc, line 233
KCrash: Application 'krita' crashing...



Backtrace:
Application: Krita (krita), signal: Aborted
The current source language is "auto; currently asm".
[Current thread is 1 (Thread 0x7f22d73de780 (LWP 5618))]

Thread 3 (Thread 0x7f22a5e07710 (LWP 5637)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f22d6d04e8b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f22d6d00c24 in QSemaphore::acquire(int) () from /usr/lib/libQtCore.so.4
#3  0x00007f22d66154d6 in KisTileDataPooler::waitForWork (this=0x26b12a0) at /home/pentalis/kde4/src/koffice/krita/image/tiles3/kis_tile_data_pooler.cc:127
#4  0x00007f22d6615620 in KisTileDataPooler::run (this=0x26b12a0) at /home/pentalis/kde4/src/koffice/krita/image/tiles3/kis_tile_data_pooler.cc:156
#5  0x00007f22d6d03e35 in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f22cfa168ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#7  0x00007f22cfcfb01d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f22a5606710 (LWP 5638)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f22d6d04e8b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f22d6d00a44 in QSemaphore::tryAcquire(int, int) () from /usr/lib/libQtCore.so.4
#3  0x00007f22d662ec10 in KisTileDataSwapper::run (this=0x26b12d0) at /home/pentalis/kde4/src/koffice/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:90
#4  0x00007f22d6d03e35 in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007f22cfa168ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22cfcfb01d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f22d73de780 (LWP 5618)):
[KCrash Handler]
#5  0x00007f22cfc5e175 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00007f22cfc60f80 in *__GI_abort () at abort.c:92
#7  0x00007f22d6cfbc9f in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#8  0x00007f22d6cfbe42 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f22d6cfbff5 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#10 0x00007f22d661d6a7 in KisMementoManager::getMemento (this=0x2140e20) at /home/pentalis/kde4/src/koffice/krita/image/tiles3/kis_memento_manager.cc:233
#11 0x00007f22d66d38a2 in KisTiledDataManager::getMemento (this=0x27a7dd0) at /home/pentalis/kde4/src/koffice/krita/image/tiles3/kis_tiled_data_manager.h:150
#12 0x00007f22d66d38e9 in KisDataManager::getMemento (this=0x15f2) at /home/pentalis/kde4/src/koffice/krita/image/kis_datamanager.h:89
#13 0x00007f22d66d3354 in KisTransactionData (this=0x45f5070, name=<value optimized out>, device=..., parent=<value optimized out>)
    at /home/pentalis/kde4/src/koffice/krita/image/kis_transaction_data.cpp:53
#14 0x00007f22d663e919 in KisTransaction (this=0x432cb20, name=..., device=<value optimized out>, parent=0x0) at /home/pentalis/kde4/src/koffice/krita/image/kis_transaction.h:38
#15 0x00007f22d66397b1 in KisPainter::beginTransaction (this=0x7ffff11606c0, transactionName=...) at /home/pentalis/kde4/src/koffice/krita/image/kis_painter.cc:202
#16 0x00007f22aa91d382 in KisToolFill::flood (this=0x6c8c3e0, startX=<value optimized out>, startY=<value optimized out>)
    at /home/pentalis/kde4/src/koffice/krita/plugins/tools/defaulttools/kis_tool_fill.cc:149
#17 0x00007f22aa91d5db in KisToolFill::mouseReleaseEvent (this=0x6c8c3e0, e=<value optimized out>) at /home/pentalis/kde4/src/koffice/krita/plugins/tools/defaulttools/kis_tool_fill.cc:197
#18 0x00007f22d435e637 in KoToolProxy::mouseReleaseEvent (this=0x6da8c80, event=0x7ffff1161630, point=...) at /home/pentalis/kde4/src/koffice/libs/flake/KoToolProxy.cpp:270
#19 0x00007f22d68765eb in KisCanvasWidgetBase::processMouseReleaseEvent (this=0x6da9038, e=0x7ffff1161630) at /home/pentalis/kde4/src/koffice/krita/ui/canvas/kis_canvas_widget_base.cpp:245
#20 0x00007f22d12fc602 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#21 0x00007f22d12a632c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#22 0x00007f22d12acfdb in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#23 0x00007f22d1fbe836 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#24 0x00007f22d6df315c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#25 0x00007f22d12ac1be in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#26 0x00007f22d132c03b in ?? () from /usr/lib/libQtGui.so.4
#27 0x00007f22d132a9ac in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#28 0x00007f22d1356e31 in ?? () from /usr/lib/libQtGui.so.4
#29 0x00007f22d6df6c4f in QCoreApplication::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0x00007f22d5de4305 in KoProgressUpdater::update (this=<value optimized out>) at /home/pentalis/kde4/src/koffice/libs/main/KoProgressUpdater.cpp:147
#31 0x00007f22d5de4354 in KoProgressUpdater::qt_metacall (this=0x2bb0460, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value optimized out>)
    at /home/pentalis/kde4/build/koffice/libs/main/KoProgressUpdater.moc:73
#32 0x00007f22d6e06346 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#33 0x00007f22d5de5f33 in KoUpdaterPrivate::qt_metacall (this=0x4ddc0e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff1162140)
    at /home/pentalis/kde4/build/koffice/libs/main/KoUpdaterPrivate_p.moc:84
#34 0x00007f22d6e06346 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#35 0x00007f22d5de5581 in KoUpdater::sigProgress (this=0x15f2, _t1=29) at /home/pentalis/kde4/build/koffice/libs/main/KoUpdater.moc:99
#36 0x00007f22d666ec2b in KisFillPainter::createFloodSelection (this=0x7ffff1162ab0, startX=<value optimized out>, startY=<value optimized out>, projection=<value optimized out>)
    at /home/pentalis/kde4/src/koffice/krita/image/kis_fill_painter.cc:472
#37 0x00007f22d666ef83 in KisFillPainter::genericFillStart (this=0x7ffff1162ab0, startX=948, startY=340, projection=) at /home/pentalis/kde4/src/koffice/krita/image/kis_fill_painter.cc:213
#38 0x00007f22d666fdec in KisFillPainter::fillColor (this=0x7ffff1162ab0, startX=948, startY=340, projection=<value optimized out>)
    at /home/pentalis/kde4/src/koffice/krita/image/kis_fill_painter.cc:179
#39 0x00007f22aa91d22c in KisToolFill::flood (this=0x6c8c3e0, startX=<value optimized out>, startY=<value optimized out>)
    at /home/pentalis/kde4/src/koffice/krita/plugins/tools/defaulttools/kis_tool_fill.cc:163
#40 0x00007f22aa91d5db in KisToolFill::mouseReleaseEvent (this=0x6c8c3e0, e=<value optimized out>) at /home/pentalis/kde4/src/koffice/krita/plugins/tools/defaulttools/kis_tool_fill.cc:197
#41 0x00007f22d435e637 in KoToolProxy::mouseReleaseEvent (this=0x6da8c80, event=0x7ffff1163a20, point=...) at /home/pentalis/kde4/src/koffice/libs/flake/KoToolProxy.cpp:270
#42 0x00007f22d68765eb in KisCanvasWidgetBase::processMouseReleaseEvent (this=0x6da9038, e=0x7ffff1163a20) at /home/pentalis/kde4/src/koffice/krita/ui/canvas/kis_canvas_widget_base.cpp:245
#43 0x00007f22d12fc602 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#44 0x00007f22d12a632c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#45 0x00007f22d12acfdb in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#46 0x00007f22d1fbe836 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#47 0x00007f22d6df315c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#48 0x00007f22d12ac1be in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#49 0x00007f22d132c03b in ?? () from /usr/lib/libQtGui.so.4
#50 0x00007f22d132a9ac in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#51 0x00007f22d1356e31 in ?? () from /usr/lib/libQtGui.so.4
#52 0x00007f22d6df1a82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#53 0x00007f22d6df1e5c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#54 0x00007f22d6df6aeb in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#55 0x00007f22d710d84a in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /home/pentalis/kde4/src/koffice/krita/main.cc:49
#56 0x00007f22cfc4ac4d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7ffff1164518) at libc-start.c:228
#57 0x0000000000400879 in _start ()
Comment 3 Halla Rempt 2010-09-16 15:46:45 UTC
SVN commit 1176055 by rempt:

lock node while gradient is being painted

BUG:248374

 M  +3 -1      kis_tool_gradient.cc  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1176055
Comment 4 Halla Rempt 2010-09-16 15:46:47 UTC
SVN commit 1176056 by rempt:

Lock node while filling

CCBUG:248374

 M  +2 -0      kis_tool_fill.cc  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1176056